Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.exception
Class ErrorHandler

    java.lang.Object
      org.jboss.seam.faces.Navigator
          org.jboss.seam.exception.ExceptionHandler
              org.jboss.seam.exception.ErrorHandler

Direct Known Subclasses:
  AnnotationErrorHandler, ConfigErrorHandler

    public abstract class ErrorHandler

extends ExceptionHandler

Base implementation of HTTP error exception handlers.

Author:
  Gavin King

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.exception.ExceptionHandler
`ExceptionHandler.LogLevel`

Constructor Summary
`ErrorHandler()`

Method Summary
`protected abstract int` | `getCode(Exception e)`
`protected abstract String` | `getMessage(Exception e)`
`void` | `handle(Exception e)`
`protected abstract boolean` | `isEnd(Exception e)`
`String` | `toString()`

Methods inherited from class org.jboss.seam.exception.ExceptionHandler
`getLogLevel, isHandler, isLogEnabled, setLogEnabled, setLogLevel`

Methods inherited from class org.jboss.seam.faces.Navigator
`addFacesMessage, error, getDisplayMessage, redirect, redirect, redirectExternal, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ErrorHandler

    public ErrorHandler()

Method Detail

### getCode

    protected abstract int getCode(Exception e)

### getMessage

    protected abstract String getMessage(Exception e)

### isEnd

    protected abstract boolean isEnd(Exception e)

### handle

    public void handle(Exception e)
                throws Exception

  Specified by:
    `handle` in class `ExceptionHandler`
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.